Subject: Senator Rick Scott's Week in Review
From: "Senator Rick Scott" <[email-masked]>
To: [email-masked]
Date: 9 May 2026 10:28:40 -0400

Senator Rick Scott's Week in Review 

Dear Fellow Floridian,

This week I had the honor to join my friend Congressman Tom Emmer in Miami to talk about how we’re fighting to protect your privacy and data. No law-abiding American should be worried about our government unjustly spying on them. I have been surveilled. I’ve had my tax returns stolen. The Clinton administration came after my company because I fought against Hillary Care. No one in the government has ever been held accountable for it.

If they can target and spy on a CEO and U.S. senator, they can spy on you. It’s time to force accountability and say no to the federal government having a digital currency to track your money or let them spy on you without a warrant. They will use it to go after you. This is why I’m fighting like hell to keep the government from spying on you and your money.

It’s also still critical that we get the Save America Act passed and signed into law. It should be absolutely unacceptable in America to allow even the possibility of non-citizens voting in our elections. The Senate needs to get back to work on this legislation right away. Everyone in America who wants to pass SAVE America should pick up the phone and let Congress know what you think. In the meantime, you can rest assured that I won’t stop fighting for you to have fair and secure elections.

Finally, Florida has been suffering from fires across the state, and you can help. This week I joined Lafayette County Sheriff Brian Lamb, Florida Forest Service and our firefighters on the ground to observe damage caused by brush fires due to a massive statewide drought. It’s very important that all Floridians respect local burn bans and follow all other safety guidelines. If you’re in the surrounding areas, be sure to listen to your local news station for updates, and be prepared in case of an evacuation order. It’s vital that we protect Florida’s environment so everyone can enjoy our beautiful state.

Sincerely,

Rick Scott

United States Senator

To be the first to find out about Senator Scott's actions and statements, follow him on X, Facebook, Instagram, and LinkedIn.

—

Sen. Rick Scott, Reps. Elise Stefanik & Josh Gottheimer Introduce Bipartisan Bills to Limit Foreign Influence on American Universities

Senator Rick Scott and U.S. Reps. Elise Stefanik and Josh Gottheimer introduced The Defending American Research Act and No Branch Campuses in Hostile Countries Act to prevent foreign interference by America’s enemies in the higher education system.

The two bills would block federal funding for universities that operate branch campuses in certain countries or receive research payouts from those countries.

Senator Rick Scott said, “America has enemies and we need to start acting like it. Countries like Communist China and terror-supporting Qatar should not be able to use America’s colleges and universities as outposts to spy on us, steal sensitive research and spread anti-American propaganda, but we’ve been letting them do it for years. This legislation is critical to America’s national security and the future of our higher education system, neither of which should be for sale.”

Read the full text of the No Branch Campuses in Hostile Countries Act HERE and The Defending American Research Act HERE. Read more HERE.

—

Sen. Rick Scott Joins Coinbase Crypto Panel in Miami with House Whip Tom Emmer

Senator Rick Scott participated in a Solana Policy Institute panel on the future of American cryptocurrency. U.S. Rep. Tom Emmer (R-Minn.), House Majority Whip, joined Senator Scott as a panelist.

The conversation centered around legislation to ban a Central Bank Digital Currency (CBDC), the Clarity Act, and the intersection of national security and cryptocurrency.

The full discussion can be found HERE. Read more HERE.

—

Sen. Rick Scott on The Glenn Beck Program

Senator Rick Scott joined The Glenn Beck Program to discuss the SAVE America Act, the latest developments on Iran, and President Trump’s upcoming visit to China.

Listen to the full interview HERE. Read more HERE.

—

Fox Business: Democrats FORGOT who the good and bad guys are: GOP senator

Fox Business: GOP senator disses Democrats' 'Leftist Zone' policies

Newsmax: Bipartisan Bills Target Anti-American Ideology on Campuses

Newsmax: Sen. Rick Scott to Newsmax: GOP Must Force Vote on SAVE America Act

Breitbart: Sen. Rick Scott Rips House Dems After Rep. Jayapal Says She Has Been Trying to Help Cuba Get Oil

Daily Signal: Rick Scott Urges Trump Admin to Cut off University of Michigan’s Federal Funds

The Latin Times: Florida Sen. Rick Scott Breaks With Trump and Marco Rubio on Venezuela's Delcy Rodríguez: "She Is Despicable"

Florida Politics: Rick Scott pleads for state leaders to turn around troubled job market

Florida Politics: ‘Political target’: Ron DeSantis, Rick Scott zing Zohran Mamdani for putting Ken Griffin at risk

Florida Politics: ‘Concerning’: Florida job losses worry Rick Scott

Florida’s Voice: Scott, Rollins applaud Trump move on red snapper permits; 2026 season framework outlined

Florida’s Voice: Sens. Scott, Moody blast Jayapal over Cuba trip on taxpayer dollars, call for probe

Cuba Headlines: Rick Scott Criticizes Delcy Rodríguez: 'She's Not Venezuela's President, She's a Cartel Leader. Despicable'

—

Senator Rick Scott in Lafayette County

Senator Scott joined Lafayette County Sheriff Brian Lamb, the Florida Forest Service, and firefighters on the ground to see first hand how hard they work to contain the brush fires throughout the state. Senator Scott is very grateful for their relentless work to protect Floridians and our communities.

—

Senator Scott's Team in Apopka

Senator Scott's team attended the Apopka Mayor's National Day of Prayer Breakfast.

—

Senator Scott's Team in Dania Beach

Senator Scott's team attended the Three Oceans Gala in Dania Beach to kick off Haitian Heritage Month.

—

Senator Scott's Team in Orlando

Senator Scott's team attended the Orange County's Asian American, Native Hawaiian & Pacific Islander Heritage Month Celebration in Orlando.

—

Senator Scott's Team in Palatka

Senator Scott's team held Mobile Office Hours at Representative Judson Sapp’s Office in Palatka.

—

Senator Scott's Team in Pensacola

Senator Scott's team attended a Naturalization Ceremony in Pensacola.

—

Senator Scott's Team in Orlando

Senator Scott's team attended the grand opening of PM TV Studios and Vibe Digital in Orlando.

—

—

TALLAHASSEE

111 N. Adams Street, Suite 208
Tallahassee, FL 32301
Phone: (850) 942-8415

WEST PALM BEACH

415 Clematis Street, Suite 201
West Palm Beach, FL 33401
Phone: (561) 514-0189

TAMPA

801 North Florida Avenue, Suite 421
Tampa, FL 33602
Phone: (813) 225-7040

KISSIMMEE

1 Courthouse Square, Suite 300
Kissimmee, FL 34741
Phone: (407) 586-7879

PENSACOLA

221 Palafox Place, Suite 420
Pensacola, FL 32502
Phone: (850) 760-5151

MIAMI

901 Ponce de Leon Blvd., Suite 505
Miami, FL 33134
Phone: (786) 501-7141

NAPLES

3299 Tamiami Trail East, #106
Naples, FL 34112
Phone: (239) 231-7890

JACKSONVILLE
400 West Bay Street, Suite 289
Jacksonville, FL 32202
Phone: (904) 479-7227

ORLANDO

225 East Robinson Street, Suite 410
Orlando, FL 32801
Phone: (407) 872-7161

WASHINGTON, D.C.

110 Hart Senate Office Building
Washington, D.C. 20510
Phone: (202) 224-5274

Fax: (202) 228-4535

Official Website  Unsubscribe